#!/usr/bin/python
"""
Example of use with a template with a simple '$' variable pattern
"""


import  sys
import os
import locale


pdir = os.path.dirname(os.getcwd())
sys.path.insert(0,pdir)    

import oootemplate as oo
from datetime import date

locale.setlocale(locale.LC_ALL, '')

class User():
    def __init__(self, name, surname, address):
        self.name = name
        self.surname = surname
        self.address = address

class rs(object):
    def __init__(self, rs, address, manager, cap):
        self.rs = rs
        self.address = address
        self.manager = manager
        self.cap = cap
        
    def __str__(self):
        return self.rs

class Libro():
    def __init__(self, title, author, price, qty=1, extra=0):
        self.title = title
        self.author = author
        self.price = price
        self.qty = qty
        self.extra = extra


user = User(name='Sandro', surname='Dentella', address='Via Appia n. 5',)
book1 = Libro(title='Pinocchio', author='Collodi', price=12, qty=12)
book2 = Libro(title='La divina commedia', author='Dante Alighieri', price=17, extra='5%', qty=10)
book3 = Libro(title='Q', author='Luther Blisset', price=15,  extra='15%', qty=3)
book4 = Libro(title='Non ora non qui', author='Erri De Luca', price=12, extra='15%', qty=12)
book5 = Libro(title='The Da Vinci Code',author='Dan Brown', extra='35%', price=20,)


content = {'date'   : date(2009,9,27), # valore
           'user'  : user,
           'currency' : 'Euro',
           'Tabella2'     : ( (book1, book2),
                              (book3, book4, book5),
                              ),
           'total' : 314,
           'rs'     : rs('Diade srl', 'V. Palestrina 20', user, '20040'),
           }

context = oo.Context(content)
## currency is a long work, I want it to fit in a narrow cell, so I let the designer use
##  a shorter name -cur- that will be translated at runetime to currency
context.translate['cur'] = 'currency'

# Connessione Locale
filename = os.path.abspath('template-complete.odt')

# Connessione Remota
#filename = '/tmp/ootemplate/demo/template.odt'
templ = oo.Template(filename, server='127.0.0.1', port=8100)


if len(sys.argv) > 1:
    templ.render(context)
    output_file = os.path.abspath(sys.argv[1])
    templ.save_as(output_file + '.pdf')
    print "written output in %s.pdf " % output_file 
    templ.save_as(output_file + '.odt')
    print "written output in %s.odt " % output_file 
    templ.document.close(True)

