#!/usr/bin/env python

"""
OpenOffice.Org templte system

oootemplate is a template system that uses oasis .odt format -easily generated
with openoffice.org- as a template to generate reports.

oootemplate uses a runnning instance (server) of openoffice to connect to
via the 'uno' module. The openoffice server instance may also run on a
different server machine and possibly in headless mode (without graphics).

The possible output are pdf and odt.
"""

classifiers = """\
Intended Audience :: Developers
License :: OSI Approved :: GNU Affero General Public License v3
Operating System :: MacOS
Operating System :: Microsoft
Operating System :: OS Independent
Operating System :: POSIX
Operating System :: POSIX :: Linux
Programming Language :: Python
Topic :: Software Development :: Libraries
Topic :: Software Development :: Libraries :: Application Frameworks
Topic :: Software Development :: Libraries :: Python Modules"""

try:
    import uno
except ImportError:
    import sys
    print "you need the module 'uno'  from OpenOffice.org"
    sys.exit(1)


from distutils.core import setup

setup(name='oootemplate',
      version='0.8',
      description=__doc__,
      author='Alessandro Dentella, Simone Castellazzi',
      author_email='sandro@e-den.it',
      url='http://www.e-den.it/',
      packages=['ootemplate'],
     )

